[RISOLTO] Pacchetto libx265-79 in jessie

Audio, Video, Grafica...

[RISOLTO] Pacchetto libx265-79 in jessie

Messaggioda solitone » 03/10/2016, 19:51

Fino a stamani avevo installato sul mio sistema il pacchetto libx265-79:amd64 (1.9-3~bpo8+1), preso dal repository jessie-backports (ho jessie). Ho poi provato a installare kplayer, che mi ha disinstallato vari pacchetti, tra cui questo.

Mi sono però accorto che VLC non riproduce più video codificati con il codec H.265. Ho allora rimosso kplayer e ripristinato tutti i vecchi pacchetti, tranne libx265-79 perché non esiste più in jessie-backports! C'è solo in sid [1].

Come posso fare per tornare a avere questo codec?
Ultima modifica di solitone il 04/10/2016, 12:58, modificato 2 volte in totale.
Avatar utente
solitone
Newbie
Newbie
 
Messaggi: 41
Iscritto il: 30/01/2015, 14:27

Re: Pacchetto libx265-79 in jessie

Messaggioda s3v » 03/10/2016, 20:36

Avatar utente
s3v
Global Moderator
Global Moderator
 
Messaggi: 5768
Iscritto il: 31/12/2008, 11:54

Re: Pacchetto libx265-79 in jessie

Messaggioda solitone » 04/10/2016, 5:34

Il pacchetto libx265-87 ce l'avevo e ce l'ho ancora installato, non è stato toccato nel giro di ieri. Penso che il problema sia nel pacchetto libx265-79 perché è l'unica differenza che mi è rimasta: prima ce l'avevo, dopo il pasticcio di ieri coi pacchetti non c'è più e non posso reinstallarlo.

L'errore che ricevo in VLC è:
Codice: Seleziona tutto
vdpau_avcodec generic error: unsupported codec 13 or profile -1
Avatar utente
solitone
Newbie
Newbie
 
Messaggi: 41
Iscritto il: 30/01/2015, 14:27

Re: Pacchetto libx265-79 in jessie

Messaggioda solitone » 04/10/2016, 5:50

Non so cosa era successo. Ho provato a riavviare il sistema e ora tutto è tornato a funzionare come prima. Nonostante la mancanza di libx265-79. Quindi non rappresenta un problema.

--EDIT--
L'errore sulla mancanza di un codec, che avevo segnalato nel messaggio precedente, continua a esserci, ma non rappresenta un problema. E' probabile che ci sia sempre stato, solo che non me ne ero mai accorto dal momento che non lancio abitualmente VLC da terminale.
--FINE EDIT--

A questo punto mi chiedo se davvero sia stato necessario reinstallare gli altri pacchetti che erano stati automaticamente rimossi:
Codice: Seleziona tutto
Start-Date: 2016-10-03  15:40:23
Install: kdebase-runtime:amd64 (4.14.2-2, automatic), kplayer:amd64 (0.7-2.1)
Remove: libkrb5-26-heimdal:amd64 (1.6~rc2+dfsg-9), libroken18-heimdal:amd64 (1.6~rc2+dfsg-9), libx265-79:amd64 (1.9-3~bpo8+1), libwind0-heimdal:amd64 (1.6~rc2+dfsg-9), libhcrypto4-heimdal:amd64 (1.6~rc2+dfsg-9), libheimntlm0-heimdal:amd64 (1.6~rc2+dfsg-9), libasn1-8-heimdal:amd64 (1.6~rc2+dfsg-9), libheimbase1-heimdal:amd64 (1.6~rc2+dfsg-9), libgssapi3-heimdal:amd64 (1.6~rc2+dfsg-9), libhx509-5-heimdal:amd64 (1.6~rc2+dfsg-9)
End-Date: 2016-10-03  15:40:56
Avatar utente
solitone
Newbie
Newbie
 
Messaggi: 41
Iscritto il: 30/01/2015, 14:27

Re: [RISOLTO] Pacchetto libx265-79 in jessie

Messaggioda s3v » 04/10/2016, 17:56

Sull'errore di VLC dovresti indagare sull'output di:
Codice: Seleziona tutto
$ vlc -vvv ...

e controllare se riguarda tutti i video con diverse codifiche.

Sui pacchetti che l'installazione di "kplayer" ti ha rimosso, puoi confermare che, reinstallando il solo "kplayer", il problema si ripresenta?
Chiaramente, se APT ti avverte della rimozione dei pacchetti, non continuare con l'installazione ;)
Avatar utente
s3v
Global Moderator
Global Moderator
 
Messaggi: 5768
Iscritto il: 31/12/2008, 11:54

Re: [RISOLTO] Pacchetto libx265-79 in jessie

Messaggioda solitone » 05/10/2016, 20:28

Sì, confermo. Ho provato a installare nuovamente kplayer e vengono rimossi tutta una serie di pacchetti. Siccome sono testardo, sono andato avanti con l'installazione:
Codice: Seleziona tutto
Start-Date: 2016-10-05  21:22:13
Install: kdebase-runtime:amd64 (4.14.2-2, automatic), kplayer:amd64 (0.7-2.1)
Remove: libavformat57:amd64 (3.1.3-1~bpo8+1), libavresample3:amd64 (3.1.3-1~bpo8+1), libavfilter6:amd64 (3.1.3-1~bpo8+1), libpgm-5.1-0:amd64 (5.1.118-1~dfsg-1), libopenjp2-7:amd64 (2.1.0-2), libsnappy1:amd64 (1.1.2-3), libzmq3:amd64 (4.0.5+dfsg-2+deb8u1), libswscale4:amd64 (3.1.3-1~bpo8+1), libsodium13:amd64 (1.0.0-1), libswresample2:amd64 (3.1.3-1~bpo8+1), libpostproc54:amd64 (3.1.3-1~bpo8+1), librubberband2:amd64 (1.8.1-6), libavcodec57:amd64 (3.1.3-1~bpo8+1), libavdevice57:amd64 (3.1.3-1~bpo8+1), libavutil55:amd64 (3.1.3-1~bpo8+1)
End-Date: 2016-10-05  21:22:45

La ragione per cui vengono disinstallati è che "non vengono più usati" e, probabilmente, è vero (forse erano legati a ffmpeg, che non ho più).

Confermo anche che VLC funziona senza questi pacchetti. Il problema che avevo riscontrato dipendeva da altro (non so cosa) e si è risolto con un riavvio.
Avatar utente
solitone
Newbie
Newbie
 
Messaggi: 41
Iscritto il: 30/01/2015, 14:27


Torna a Multimedia

Chi c’è in linea

Visitano il forum: Nessuno e 4 ospiti